//Создание задачи диспетчерского вызова прочих задач
function SetProjectName(ProjectName..//Имя проекта
                        )
    //Анализируем аргументы
    if argn(2) < 1 then
        error('The function SetProjectName takes 1 argument');
    end
    
    //Полное имя файла проекта
    fullProjectNameFileName = fullfile(SCIHOME,'LanchingTasksInformation','ProjectName.txt');
    
    //Записывем в файл имя проекта
    mputl(ProjectName,fullProjectNameFileName);
    
    //Записываем в точки имя проекта
    CommandPointsExec = GetCommandPoints()(2,:);//Получаем точки запуска
    PathToExecPoints = GetPathToExecPoints();//Получаем полное имя пути к точкам запуска
    fullCommandPointsExec = fullfile(PathToExecPoints,CommandPointsExec);//Полные имена точек запуска
    for fullCommandPointExec=fullCommandPointsExec
        //Формируем полное имя файла проекта в точке запуска
        fullCommandPointExecProjectNameFile = fullfile(fullCommandPointExec,'ProjectName');
        
        //Пишем имя проекта в файл
        mputl(ProjectName,fullCommandPointExecProjectNameFile);
    end
endfunction
