//Создание задачи диспетчерского вызова прочих задач
function [ActivateState,..//Активированы или деактивированы ли точки запуска
          allActivateState]=GetActivateStateExecPoints()
    //Полное имя файла состояния активации или деактивации точек запуска сайлаба
    fullActivateStateFileName = fullfile(SCIHOME,'LanchingTasksInformation','ActivateState.txt');
    
    //Считываем из файла состояние активации или деактивации точек запуска сайлаба
    if argn(1) > 1 then
        allActivateState = (evstr(mgetl(fullActivateStateFileName)) ~= 0);
    end
    
    //Считываем из точек состояние активации или деактивации точек запуска сайлаба
    CommandPointsExec = GetCommandPoints()(2,:);//Получаем точки запуска
    PathToExecPoints = GetPathToExecPoints();//Получаем полное имя пути к точкам запуска
    fullCommandPointsExec = fullfile(PathToExecPoints,CommandPointsExec);//Полные имена точек запуска
    nCommandPointsExec = size(CommandPointsExec,'*');//Число точек запуска
    ActivateState = [];
    for ind=1:nCommandPointsExec
        //Формируем полное имя файла проекта в точке запуска
        fullCommandPointExecActivateStateFile = fullfile(fullCommandPointsExec(ind),'ExecScilab');
        
        //Читаем состояние активации или деактивации точек запуска сайлаба из файла
        if evstr(mgetl(fullCommandPointExecActivateStateFile)) == 0 then
            ActivateState = [ActivateState,%f];
        else
            ActivateState = [ActivateState,%t];
        end
    end
endfunction
